from setuptools import setup
import skibsted

SHORT = 'Skibsted is a library to enable you to write and use generalized feature engineering components in your sklearn pipelines'

setup(
    name='skibsted',
    version='0.2.1',
    install_requires=[
        'scipy',
        'numpy',
        'pandas',
        'scikit-learn',
        'feng>=0.2.5',
    ],
    packages=[
        'skibsted',
        'skibsted.transformers',
        'skibsted.transformers.nlp',
        'skibsted.evaluate',
        'skibsted.utils'
    ],
    url='https://github.schibsted.io/data-and-insight/skibsted',
    author='Schibsted Insights',
    author_email='mats@schibsted.com',
    classifiers=[
        'Programming Language :: Python',
    ],
    description=SHORT,
    long_description=SHORT,
    test_suite='test_skibsted'
)
