import numpy as np
from sklearn.metrics.regression import r2_score

def regression_report(truth, predictions):
    return (
        ("Median Absolute Percentage Error", np.median(np.abs((truth - predictions) / truth))),
        ("Mean Absolute Percentage Error", np.mean(np.abs((truth - predictions) / truth))),
        ("Median Relative Accuracy", np.median(np.log(predictions / truth))),
        ("Mean Relative Accuracy", np.mean(np.log(predictions / truth))),
        ("r2", r2_score(truth, predictions))
    )
