from sklearn.base import TransformerMixin, BaseEstimator
from pandas import DataFrame, to_datetime


class Datetimer(BaseEstimator, TransformerMixin):

    def __init__(self, date_fields):
        self.date_fields = date_fields

    def fit(self, df, y=None):
        if not self.date_fields:
            self.date_fields = df.columns.values
        return self

    def transform(self, df, y=None):
        new_df = df.copy()
        for field in self.date_fields:
            new_df[field] = to_datetime(df[field])
        return new_df
