from sklearn.base import TransformerMixin, BaseEstimator
from pandas import DataFrame


class DropFeatures(BaseEstimator, TransformerMixin):

    def __init__(self, drop=(), keep=()):
        self.drop = drop
        self.keep = keep

    def fit(self, df, y=None):
        return self

    def transform(self, df, y=None):
        if self.keep:
            return df.drop(set(df.columns) - set(self.keep), axis=1)
        return df.drop(self.drop, axis=1)
