from sklearn.base import TransformerMixin, BaseEstimator
from pandas import DataFrame

class NotNullTransformer(BaseEstimator, TransformerMixin):

    def __init__(self, cols=[]):
        self.cols = cols

    def fit(self, df, y=None):
        return self

    def transform(self, df, y=None):
        df = df.copy()
        for c in self.cols:
            df[c + "_notnull"] = df[c].notnull()
        return df.drop(self.cols, axis=1)