from sklearn.base import TransformerMixin, BaseEstimator
from pandas import DataFrame

class Weighter(TransformerMixin, BaseEstimator):

    def __init__(self, weights=None):
        self.weights = weights

    def fit(self, X, y=None):
        return self

    def transform(self, X, y=None):
        if isinstance(X, DataFrame):
            cols = X.columns
        else:
            cols = range(X.shape[1])
            
        weights = [self.weights.get(col, 1) for col in cols]
        return X * weights


