from sklearn.base import TransformerMixin, BaseEstimator

class WhiteSpaceRemover(TransformerMixin, BaseEstimator):
    """
    Strip whitespace from all columns. NB: only works on pd.DataFrame
    """

    def fit(self, X, y=None):
        return self

    def transform(self, X, y=None):
        return X.apply(_replace_if_string, axis=0)

def _replace_if_string(column):
    if column.dtype == 'object':
        return column.str.replace(' ', '')
    else:
        return column
