from joblib import Parallel, delayed
from multiprocessing import cpu_count


cpus = cpu_count() - 1


def experiment_loop(train_x, train_y, test_x, pipelines, cpu_count=cpus):
    results = Parallel(n_jobs=cpus)(delayed(_fit_predict)(pipeline, train_x, train_y, test_x) for pipeline in pipelines)
    return results


def _fit_predict(pipeline, train_x, train_y, test_x):
    pipeline.fit(train_x, train_y)
    return pipeline.predict(test_x)